@use 'sass:color';
@import 'colors.scss';

body {
    background-color: $background;
    font-family: 'Exo 2', sans-serif;
}

a {
    color: $primary;
}

.btn {
    border-radius: 15px;
}

.btn-primary {
    background-color: $primary;
    border-color: $primary;
    color: $white;
}
.btn-primary:hover, .btn-outline-primary:hover {
    background-color: darken($primary, 5%);
    border-color: darken($primary, 5%);
    color: $white;
}
.btn-primary:focus, .btn-outline-primary:focus {
    background-color: darken($primary, 10%);
    border-color: darken($primary, 10%);
    color: $white;
    box-shadow: 0 0 0 0.2rem rgba($primary, .5);
}
.btn-primary:active, .btn-outline-primary:active {
    background-color: darken($primary, 10%);
    border-color: darken($primary, 10%);
    color: $white;
}

.btn-success {
    background-color: $success;
    border-color: $success;
    color: $white;
}
.btn-success:hover, .btn-outline-success:hover {
    background-color: darken($success, 5%);
    border-color: darken($success, 5%);
    color: $white;
}
.btn-success:focus, .btn-outline-success:focus {
    background-color: darken($success, 10%);
    border-color: darken($success, 10%);
    color: $white;
    box-shadow: 0 0 0 0.2rem rgba($success, .5);
}
.btn-success:active, .btn-outline-success:active {
    background-color: darken($success, 10%);
    border-color: darken($success, 10%);
    color: $white;
}

.btn-outline-primary {
    border-color: $primary;
    color: $primary;
}

.btn-outline-success {
    border-color: $success;
    color: $success;
}

.btn-link {
    color: $primary;
}

.form-control, .custom-select {
    border-radius: 10px;
}

.alert {
    border-radius: 15px;
    box-shadow: 0 0 0.5em 0 rgba(130, 130, 130, .3);
}

.alert-primary {
    background-color: lighten($primary, 35%);
    color: darken($primary, 35%);
}

.alert-warning {
    background-color: lighten($warning, 35%);
    border-color: lighten($warning, 35%);
    color: darken($warning, 35%);
}

.alert-danger {
    background-color: lighten($danger, 35%);
    border-color: lighten($danger, 35%);
    color: darken($danger, 35%);
}

.card {
    background-color: $white;
    border: 0;
    border-radius: 20px;
    box-shadow: 0 0 0.5em 0 rgba(180, 180, 180, .5);
}

.is-invalid, .form-control.is-invalid {
    border-color: $danger;
}
.form-control.is-invalid:focus {
    box-shadow: 0 0 0 0.2em rgba($danger, .25);
    border-color: $danger;
}

.is-valid, .form-control.is-valid {
    border-color: $success;
}
.form-control.is-valid:focus {
    box-shadow: 0 0 0 0.2em rgba($success, .25);
    border-color: $success;
}

.valid-feedback {
    color: $success;
}

.invalid-feedback {
    color: $danger;
}

.list-group-item.active {
    background-color: darken($white, 10%);
    border-color: darken($white, 10%);
    color: $font;
    border-radius: 3px;
}

.bg-success {
    background-color: $success!important;
}

.bg-warning {
    background-color: $warning!important;
}

.bg-danger {
    background-color: $danger!important;
}

.text-primary {
    color: $primary!important;
}

.text-success {
    color: $success!important;
}

.text-warning {
    color: darken($warning, 5%)!important;
}

.text-danger {
    color: $danger!important;
}

.badge-warning {
    background-color: lighten($warning, 5%);
}

.form-autocomplete {
    display: block;
}

.popover {
    border-radius: 15px;
}

.toast {
    border-radius: 15px;
}

.toast-header {
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}

.progress-bar {
    background-color: $primary;
}

.modal-content {
    border-radius: 15px;
}

.vertical-center {
    position: relative;
    top: 50%;
    -ms-transform: translateY(+50%);
    transform: translateY(+50%);
}

.card.sticky-top, .row.sticky-top {
    top: 75px;
    z-index: 1019;
}

.delete {
    cursor: pointer;
}

.list-group-rounded > .list-group-item:first-child {
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}

.list-group-rounded > .list-group-item:last-child {
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}

.btn-sport {
    border-radius: 10px!important;
}
